# studio::Module Class Reference

`#include <module.h>`

Inheritance diagram for studio::Module:

List of all members.

## Public Member Functions

virtual | ~Module ()
bool | start ()
bool | stop ()
bool | get_status () const

## Protected Member Functions

| Module ()
virtual bool | start_vfunc ()=0
virtual bool | stop_vfunc ()=0

## Constructor & Destructor Documentation

Module::Module | ( |  | ) | `[protected]`

Module::~Module | ( |  | ) | `[virtual]`

References stop().

## Member Function Documentation

bool Module::start | ( |  | ) |

References get_status(), and start_vfunc().

bool Module::stop | ( |  | ) |

References get_status(), and stop_vfunc().

Referenced by studio::ModMirror::~ModMirror(), studio::ModPalette::~ModPalette(), and ~Module().

bool Module::get_status | ( |  | ) | const

Referenced by start(), and stop().

virtual bool studio::Module::start_vfunc | ( |  | ) | `[protected, pure virtual]`

Implemented in studio::ModMirror, and studio::ModPalette.

Referenced by start().

virtual bool studio::Module::stop_vfunc | ( |  | ) | `[protected, pure virtual]`

Implemented in studio::ModMirror, and studio::ModPalette.

Referenced by stop().

The documentation for this class was generated from the following files:

- module.h
- module.cpp